package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * ConfirmBindedDevicesEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ConfirmBindedDevicesEntity   {
  @JsonProperty("profileIds")
  @Valid
  private List<String> profileIds = new ArrayList<>();

  @JsonProperty("skipConfirm")
  private Boolean skipConfirm;

  public ConfirmBindedDevicesEntity profileIds(List<String> profileIds) {
    this.profileIds = profileIds;
    return this;
  }

  public ConfirmBindedDevicesEntity addProfileIdsItem(String profileIdsItem) {
    this.profileIds.add(profileIdsItem);
    return this;
  }

  /**
   * Provider profile IDs
   * @return profileIds
  */
  @ApiModelProperty(required = true, value = "Provider profile IDs")
  @NotNull


  public List<String> getProfileIds() {
    return profileIds;
  }

  public void setProfileIds(List<String> profileIds) {
    this.profileIds = profileIds;
  }

  public ConfirmBindedDevicesEntity skipConfirm(Boolean skipConfirm) {
    this.skipConfirm = skipConfirm;
    return this;
  }

  /**
   * skipConfirm indicates whether to skip the query of the devices bound to provider profiles. false: Not to skip the query. true: Skip the query and delete the provider profiles corresponding to the profileIds.
   * @return skipConfirm
  */
  @ApiModelProperty(required = true, value = "skipConfirm indicates whether to skip the query of the devices bound to provider profiles. false: Not to skip the query. true: Skip the query and delete the provider profiles corresponding to the profileIds.")
  @NotNull


  public Boolean getSkipConfirm() {
    return skipConfirm;
  }

  public void setSkipConfirm(Boolean skipConfirm) {
    this.skipConfirm = skipConfirm;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ConfirmBindedDevicesEntity confirmBindedDevicesEntity = (ConfirmBindedDevicesEntity) o;
    return Objects.equals(this.profileIds, confirmBindedDevicesEntity.profileIds) &&
        Objects.equals(this.skipConfirm, confirmBindedDevicesEntity.skipConfirm);
  }

  @Override
  public int hashCode() {
    return Objects.hash(profileIds, skipConfirm);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ConfirmBindedDevicesEntity {\n");
    
    sb.append("    profileIds: ").append(toIndentedString(profileIds)).append("\n");
    sb.append("    skipConfirm: ").append(toIndentedString(skipConfirm)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

